at.chipkarte.client.ebs.soap.constants

## Class EbsExceptionConstants

- Object
- - at.chipkarte.client.ebs.soap.constants.EbsExceptionConstants

-     public class EbsExceptionConstants
      extends Object

  Fehlerkonstanten für die EbsException.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ABFRAGE_NOT_ALLOWED_FOR_INTERFACE_VERSION` Der gewählte Antrag kann aufgrund der verwendeten Schnittstellenversion nicht beauskunftet werden.
    `static int` | `ACTION_NOT_ALLOWED_FOR_INTERFACE_VERSION` Die gewünschte Aktion kann aufgrund der verwendeten Schnittstellenversion für den gewählten Antrag nicht durchgeführt werden.
    `static int` | `ANLAGE_NOT_FOUND` Die gewünschten Anlagen konnten nicht ermittelt werden.
    `static int` | `ANLAGEN_MAX_SIZE_EXCEEDED` Die gewählten Anlagen übersteigen die maximal übermittelbare Größe von 3MB.
    `static int` | `ASVG_KVT_FOR_SELECTION` Eine der ermittelten Dienststellen der ÖGK in den Bundesländern muss ausgewählt werden.
    `static int` | `BEKANNTGABE_TERMINVEREINBARUNG_WRONG_STATUS` Die Bestätigung der Terminvereinbarung ist nicht möglich, da der Antrag bereits abgelaufen ist.
    `static int` | `EVIDENZ_ANTRAG_WRONG_STATUS` Die Evidenz-Beantwortung des Antrages ist nicht möglich, da der Antrag nicht im Status in Evidenz ist.
    `static int` | `FACHGEBIET_NOT_AUTHORISED_FOR_ERFASSUNG` Das Fachgebiet ist nicht berechtigt zur Erfassung der gewünschten Leistungen.
    `static int` | `FACHGEBIET_NOT_AUTHORISED_FOR_TERMINVEREINBARUNG` Das Fachgebiet ist nicht berechtigt zur Terminvereinbarung.
    `static int` | `FACHGEBIET_NOT_AUTHORISED_FOR_UEBERNAHME` Das Fachgebiet ist nicht berechtigt zur Leistungsübernahme der gewünschten Leistungen.
    `static int` | `INTERNAL_ERROR` Es ist ein unerwarteter Fehler aufgetreten.
    `static int` | `KATALOGVERSION_INVALID` Die Abfrage mit der angegebenen Katalogversion ist nicht mehr zulässig.
    `static int` | `KVT_FOR_SELECTION` Einer der KV-Träger muss ausgewählt werden.
    `static int` | `MAX_RESULTS_EXCEEDED` Die Anzahl der gefundenen Treffer überschreitet die maximal zulässige Anzahl von .
    `static int` | `NO_ANSPRUCH` Der Patient hat keinen gültigen KV-Anspruch.
    `static int` | `NO_ANTRAG_FOUND` Es konnte kein Antrag zu den angegebenen Daten gefunden werden.
    `static int` | `NO_ANTRAGSTYP_ANSPRUCH` Der Patient hat keinen für die Leistungsart relevanten Versicherungsanspruch.
    `static int` | `NO_DATA_FOR_VPNR` Zur angegebenen Vertragspartnernummer konnten keine Daten ermittelt werden.
    `static int` | `NO_NACHERFASSUNG_FOR_ORIGINALVERORDNER` Für den per Vertragspartnernummer angegebenen Originalverordner ist keine Nacherfassung des Antrags zulässig.
    `static int` | `NO_VOK_DATEN_AVAILABLE` Zur angegebenen Katalogversion konnten keine Daten ermittelt werden.
    `static int` | `NO_VOK_VERSION_AVAILABLE` Es konnten keine Verordnungskatalogversionen ermittelt werden.
    `static int` | `NO_VPANSPRUCH` Es liegt kein für eBS gültiges Vertragsverhältnis vor.
    `static int` | `NO_VPANSPRUCH_FOR_KVT_FOR_ERFASSUNG` Es liegt kein gültiges Vertragsverhältnis zum KV-Träger des Patienten für die Antragserfassung vor.
    `static int` | `NO_VPANSPRUCH_FOR_KVT_FOR_TERMINVEREINBARUNG` Es liegt kein gültiges Vertragsverhältnis zum KV-Träger des Patienten für die Terminvereinbarung vor.
    `static int` | `NO_VPANSPRUCH_FOR_KVT_FOR_UEBERNAHME` Es liegt kein gültiges Vertragsverhältnis zum KV-Träger des Patienten für die Leistungsübernahme vor.
    `static int` | `ORDINATION_GKK_NOT_EBS_RELEVANT` Die Antragserfassung und/oder Antragsübernahme für einen EKVK Patienten für eine Leistungsart richtet sich nach dem vertraglichen ÖGK Bundesland des Standortes.
    `static int` | `STORNO_ANTRAG_WRONG_STATUS` Die Stornierung des Antrags ist nicht möglich, da dieser bereits storniert wurde.
    `static int` | `STORNO_NO_PERMISSION` Sie haben keine Berechtigung zur Stornierung dieses Antrages.
    `static int` | `SUCHZEITRAUM_BIS_INVALID` Der Wert in Suchzeitraum Bis ist ungültig.
    `static int` | `SUCHZEITRAUM_VON_INVALID` Der Wert in Suchzeitraum Von ist ungültig.
    `static int` | `SV_NUMMER_INVALID` Die SV-Nummer ist im e-card System nicht bekannt.
    `static int` | `UEBERNAHME_ANTRAG_WRONG_STATUS` Die Leistungsübernahme ist nicht möglich, da der Antrag bereits abgelaufen ist.
    `static int` | `UEBERNAHME_NO_PERMISSION` Das Widerrufen der Leistungsübernahme ist nicht möglich, da Sie nicht als Leistungserbringer eingetragen sind.
    `static int` | `UEBERNAHME_WRONG_LEISTUNG` Es wurde eine Leistung (Positionsnummer: ) zur Übernahme angegeben, die nicht im Antrag vorhanden ist.
    `static int` | `WIDERRUF_ANTRAG_WRONG_STATUS` Das Widerrufen der Leistungsübernahme ist nicht möglich, da der Antrag nicht im Status übernommen ist.
    `static int` | `WIDERRUF_TERMINVEREINBARUNG_WRONG_STATUS` Die Terminvereinbarung kann nicht storniert werden, da zu diesem Antrag keine Terminvereinbarung vorliegt.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EbsExceptionConstants()`

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SV_NUMMER_INVALID

          public static final int SV_NUMMER_INVALID

      Die SV-Nummer ist im e-card System nicht bekannt.
      ORCLI-Code: ZS-2000001
      See Also:
        Constant Field Values

    - #### ORDINATION_GKK_NOT_EBS_RELEVANT

          public static final int ORDINATION_GKK_NOT_EBS_RELEVANT

      Die Antragserfassung und/oder Antragsübernahme für einen EKVK Patienten für eine Leistungsart richtet sich nach dem vertraglichen ÖGK Bundesland des Standortes. Eine Antragserfassung und/oder Antragsübernahme ist für diese Leistungsart auf diesem Standort aufgrund ihrer Vertragslage mit der ÖGK nicht möglich.
      ORCLI-Code: ZS-2000007
      See Also:
        Constant Field Values

    - #### NO_VPANSPRUCH

          public static final int NO_VPANSPRUCH

      Es liegt kein für eBS gültiges Vertragsverhältnis vor.
      ORCLI-Code: ZS-2000009
      See Also:
        Constant Field Values

    - #### NO_VPANSPRUCH_FOR_KVT_FOR_UEBERNAHME

          public static final int NO_VPANSPRUCH_FOR_KVT_FOR_UEBERNAHME

      Es liegt kein gültiges Vertragsverhältnis zum KV-Träger des Patienten für die Leistungsübernahme vor.
      ORCLI-Code: ZS-2000010
      See Also:
        Constant Field Values

    - #### NO_VPANSPRUCH_FOR_KVT_FOR_ERFASSUNG

          public static final int NO_VPANSPRUCH_FOR_KVT_FOR_ERFASSUNG

      Es liegt kein gültiges Vertragsverhältnis zum KV-Träger des Patienten für die Antragserfassung vor.
      ORCLI-Code: ZS-2000012
      See Also:
        Constant Field Values

    - #### FACHGEBIET_NOT_AUTHORISED_FOR_UEBERNAHME

          public static final int FACHGEBIET_NOT_AUTHORISED_FOR_UEBERNAHME

      Das Fachgebiet ist nicht berechtigt zur Leistungsübernahme der gewünschten Leistungen.
      ORCLI-Code: ZS-2000013
      See Also:
        Constant Field Values

    - #### FACHGEBIET_NOT_AUTHORISED_FOR_ERFASSUNG

          public static final int FACHGEBIET_NOT_AUTHORISED_FOR_ERFASSUNG

      Das Fachgebiet ist nicht berechtigt zur Erfassung der gewünschten Leistungen.
      ORCLI-Code: ZS-2000015
      See Also:
        Constant Field Values

    - #### NO_DATA_FOR_VPNR

          public static final int NO_DATA_FOR_VPNR

      Zur angegebenen Vertragspartnernummer konnten keine Daten ermittelt werden. Verwenden Sie bitte die Namens- und Adressdatenfelder zur Angabe des Verordners.
      ORCLI-Code: ZS-2000017
      See Also:
        Constant Field Values

    - #### NO_ANSPRUCH

          public static final int NO_ANSPRUCH

      Der Patient hat keinen gültigen KV-Anspruch.
      ORCLI-Code: ZS-2000022
      See Also:
        Constant Field Values

    - #### ASVG_KVT_FOR_SELECTION

          public static final int ASVG_KVT_FOR_SELECTION

      Eine der ermittelten Dienststellen der ÖGK in den Bundesländern muss ausgewählt werden.
      ORCLI-Code: ZS-2000025
      See Also:
        Constant Field Values

    - #### KVT_FOR_SELECTION

          public static final int KVT_FOR_SELECTION

      Einer der KV-Träger muss ausgewählt werden.
      ORCLI-Code: ZS-2000026
      See Also:
        Constant Field Values

    - #### MAX_RESULTS_EXCEEDED

          public static final int MAX_RESULTS_EXCEEDED

      Die Anzahl der gefundenen Treffer überschreitet die maximal zulässige Anzahl von . Bitte die Auswahl einschränken.
      ORCLI-Code: ZS-2000039
      See Also:
        Constant Field Values

    - #### NO_ANTRAG_FOUND

          public static final int NO_ANTRAG_FOUND

      Es konnte kein Antrag zu den angegebenen Daten gefunden werden.
      ORCLI-Code: ZS-2000041
      See Also:
        Constant Field Values

    - #### STORNO_NO_PERMISSION

          public static final int STORNO_NO_PERMISSION

      Sie haben keine Berechtigung zur Stornierung dieses Antrages.
      ORCLI-Code: ZS-2000042
      See Also:
        Constant Field Values

    - #### STORNO_ANTRAG_WRONG_STATUS

          public static final int STORNO_ANTRAG_WRONG_STATUS

      Die Stornierung des Antrags ist nicht möglich, da dieser bereits storniert wurde. ORCLI-Code: ZS-2000043
      Die Stornierung des Antrages ist nicht möglich, da mindestens eine Leistung im Antrag bereits übernommen wurde. ORCLI-Code: ZS-2000044
      Die Stornierung des Antrages ist nicht möglich, da mindestens eine Leistung im Antrag bereits abgerechnet wurde. ORCLI-Code: ZS-2000045
      Die Stornierung des Antrages ist nicht möglich, da dieser bereits abgelaufen ist. ORCLI-Code: ZS-2000046
      See Also:
        Constant Field Values

    - #### ANLAGE_NOT_FOUND

          public static final int ANLAGE_NOT_FOUND

      Die gewünschten Anlagen konnten nicht ermittelt werden.
      ORCLI-Code: ZS-2000047
      See Also:
        Constant Field Values

    - #### ANLAGEN_MAX_SIZE_EXCEEDED

          public static final int ANLAGEN_MAX_SIZE_EXCEEDED

      Die gewählten Anlagen übersteigen die maximal übermittelbare Größe von 3MB. Bitte schränken Sie Ihre Auswahl an Anlagen weiter ein.
      ORCLI-Code: ZS-2000049
      See Also:
        Constant Field Values

    - #### EVIDENZ_ANTRAG_WRONG_STATUS

          public static final int EVIDENZ_ANTRAG_WRONG_STATUS

      Die Evidenz-Beantwortung des Antrages ist nicht möglich, da der Antrag nicht im Status in Evidenz ist.
      ORCLI-Code: ZS-2000050
      See Also:
        Constant Field Values

    - #### UEBERNAHME_ANTRAG_WRONG_STATUS

          public static final int UEBERNAHME_ANTRAG_WRONG_STATUS

      Die Leistungsübernahme ist nicht möglich, da der Antrag bereits abgelaufen ist. ORCLI-Code: ZS-2000051
      Die Leistungsübernahme ist nicht möglich, da der Antrag noch nicht beantwortet wurde. ORCLI-Code: ZS-2000052
      Die Leistungsübernahme ist nicht möglich, da alle Leistungen des Antrags abgelehnt wurden. ORCLI-Code: ZS-2000054
      Die Leistungsübernahme ist nicht möglich, da mindestens eine Leistung im Antrag bereits übernommen und/oder abgerechnet wurde. ORCLI-Code: ZS-2000055
      Die Leistungsübernahme ist nicht möglich, da der Antrag bereits storniert wurde. ORCLI-Code: ZS-2000057
      See Also:
        Constant Field Values

    - #### UEBERNAHME_WRONG_LEISTUNG

          public static final int UEBERNAHME_WRONG_LEISTUNG

      Es wurde eine Leistung (Positionsnummer: ) zur Übernahme angegeben, die nicht im Antrag vorhanden ist.
      ORCLI-Code: ZS-2000059
      See Also:
        Constant Field Values

    - #### WIDERRUF_ANTRAG_WRONG_STATUS

          public static final int WIDERRUF_ANTRAG_WRONG_STATUS

      Das Widerrufen der Leistungsübernahme ist nicht möglich, da der Antrag nicht im Status übernommen ist.
      ORCLI-Code: ZS-2000061
      See Also:
        Constant Field Values

    - #### UEBERNAHME_NO_PERMISSION

          public static final int UEBERNAHME_NO_PERMISSION

      Das Widerrufen der Leistungsübernahme ist nicht möglich, da Sie nicht als Leistungserbringer eingetragen sind.
      ORCLI-Code: ZS-2000062
      See Also:
        Constant Field Values

    - #### INTERNAL_ERROR

          public static final int INTERNAL_ERROR

      Es ist ein unerwarteter Fehler aufgetreten.
      ORCLI-Code: CL-S0012
      See Also:
        Constant Field Values

    - #### SUCHZEITRAUM_VON_INVALID

          public static final int SUCHZEITRAUM_VON_INVALID

      Der Wert in Suchzeitraum Von ist ungültig. (Das Datum darf max. Monate in der Vergangenheit liegen.)
      ORCLI-Code: ZS-2000185
      See Also:
        Constant Field Values

    - #### SUCHZEITRAUM_BIS_INVALID

          public static final int SUCHZEITRAUM_BIS_INVALID

      Der Wert in Suchzeitraum Bis ist ungültig. (Das Datum darf max. Monate in der Vergangenheit liegen.)
      ORCLI-Code: ZS-2000195
      See Also:
        Constant Field Values

    - #### NO_NACHERFASSUNG_FOR_ORIGINALVERORDNER

          public static final int NO_NACHERFASSUNG_FOR_ORIGINALVERORDNER

      Für den per Vertragspartnernummer angegebenen Originalverordner ist keine Nacherfassung des Antrags zulässig. ORCLI-Code: ZS-2000063
      See Also:
        Constant Field Values

    - #### BEKANNTGABE_TERMINVEREINBARUNG_WRONG_STATUS

          public static final int BEKANNTGABE_TERMINVEREINBARUNG_WRONG_STATUS

      Die Bestätigung der Terminvereinbarung ist nicht möglich, da der Antrag bereits abgelaufen ist. ORCLI-Code: ZS-2000064
      Die Bestätigung der Terminvereinbarung ist nicht möglich, da der Antrag noch nicht beantwortet wurde. ORCLI-Code: ZS-2000065
      Die Bestätigung der Terminvereinbarung ist nicht möglich, da alle Leistungen des Antrags abgelehnt wurden. ORCLI-Code: ZS-2000066
      Die Bestätigung der Terminvereinbarung ist nicht möglich, da mindestens eine Leistung im Antrag bereits übernommen und/oder abgerechnet wurde. ORCLI-Code: ZS-2000067
      Die Bestätigung der Terminvereinbarung ist nicht möglich, da der Antrag bereits storniert wurde. ORCLI-Code: ZS-2000068
      Die Bestätigung der Terminvereinbarung ist nicht möglich, da bereits ein Termin bestätigt wurde. ORCLI-Code: ZS-2000069
      See Also:
        Constant Field Values

    - #### WIDERRUF_TERMINVEREINBARUNG_WRONG_STATUS

          public static final int WIDERRUF_TERMINVEREINBARUNG_WRONG_STATUS

      Die Terminvereinbarung kann nicht storniert werden, da zu diesem Antrag keine Terminvereinbarung vorliegt. ORCLI-Code: ZS-2000070
      Die Terminvereinbarung kann nicht storniert werden, da sie von einem anderen Vertragspartner bestätigt wurde. ORCLI-Code: ZS-2000071
      See Also:
        Constant Field Values

    - #### NO_VPANSPRUCH_FOR_KVT_FOR_TERMINVEREINBARUNG

          public static final int NO_VPANSPRUCH_FOR_KVT_FOR_TERMINVEREINBARUNG

      Es liegt kein gültiges Vertragsverhältnis zum KV-Träger des Patienten für die Terminvereinbarung vor. ORCLI-Code: ZS-2000072
      See Also:
        Constant Field Values

    - #### FACHGEBIET_NOT_AUTHORISED_FOR_TERMINVEREINBARUNG

          public static final int FACHGEBIET_NOT_AUTHORISED_FOR_TERMINVEREINBARUNG

      Das Fachgebiet ist nicht berechtigt zur Terminvereinbarung. ORCLI-Code: ZS-2000073
      See Also:
        Constant Field Values

    - #### NO_ANTRAGSTYP_ANSPRUCH

          public static final int NO_ANTRAGSTYP_ANSPRUCH

      Der Patient hat keinen für die Leistungsart relevanten Versicherungsanspruch.
      ORCLI-Code: ZS-2000078
      See Also:
        Constant Field Values

    - #### ABFRAGE_NOT_ALLOWED_FOR_INTERFACE_VERSION

          public static final int ABFRAGE_NOT_ALLOWED_FOR_INTERFACE_VERSION

      Der gewählte Antrag kann aufgrund der verwendeten Schnittstellenversion nicht beauskunftet werden.
      ORCLI-Code: ZS-2000079
      See Also:
        Constant Field Values

    - #### ACTION_NOT_ALLOWED_FOR_INTERFACE_VERSION

          public static final int ACTION_NOT_ALLOWED_FOR_INTERFACE_VERSION

      Die gewünschte Aktion kann aufgrund der verwendeten Schnittstellenversion für den gewählten Antrag nicht durchgeführt werden.
      ORCLI-Code: ZS-2000080
      See Also:
        Constant Field Values

    - #### NO_VOK_VERSION_AVAILABLE

          public static final int NO_VOK_VERSION_AVAILABLE

      Es konnten keine Verordnungskatalogversionen ermittelt werden.
      ORCLI-Code: ZS-2000081
      See Also:
        Constant Field Values

    - #### NO_VOK_DATEN_AVAILABLE

          public static final int NO_VOK_DATEN_AVAILABLE

      Zur angegebenen Katalogversion konnten keine Daten ermittelt werden.
      ORCLI-Code: ZS-2000082
      See Also:
        Constant Field Values

    - #### KATALOGVERSION_INVALID

          public static final int KATALOGVERSION_INVALID

      Die Abfrage mit der angegebenen Katalogversion ist nicht mehr zulässig.
      ORCLI-Code: ZS-2000083
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EbsExceptionConstants

          public EbsExceptionConstants()